Package de.willuhn.jameica.hbci

# Class Settings

java.lang.Object
de.willuhn.jameica.hbci.Settings

public class Settings extends Object
Verwaltet die Einstellungen des Plugins.

## Constructor Summary

Constructors
Constructor
Description
`Settings()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`getBicAutocomplete()`
Liefert true, wenn die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.
`static boolean`
`getBoldValues()`
Prueft, ob Geldbetraege fett gedruckt angezeigt werden sollen.
`static org.eclipse.swt.graphics.Color`
`getBuchungHabenForeground()`
Liefert die Vordergrundfarbe fuer Haben-Buchungen in Tabellen.
`static org.eclipse.swt.graphics.Color`
`getBuchungSollForeground()`
Liefert die Vordergrundfarbe fuer Soll-Buchungen in Tabellen.
`static boolean`
`getCachePin()`
Prueft, ob die PIN-Eingaben pro Session zwischengespeichert werden sollen.
`static boolean`
`getColorValues()`
Prueft, ob nur Geldbetraege farbig angezeigt werden sollen.
`static HBCIDBService`
`getDBService()`
Liefert den Datenbank-Service.
`static boolean`
`getDecimalGrouping()`
Prueft, ob Tausender-Punkte bei Betraegen verwendet werden sollen.
`static boolean`
`getKontoCheck()`
Liefert true, wenn die Kontonummern via Pruefsumme gecheckt werden sollen.
`static boolean`
`getKontoCheckExcludeAddressbook()`
Liefert true, wenn Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.
`static String`
`getLibPath()`
Liefert den Verzeichnis-Pfad zu den nativen Libs.
`static boolean`
`getMarkReadOnExit()`
Liefert true, wenn die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.
`static boolean`
`getOnlineMode()`
Prueft, ob wir eine permanente Online-Verbindung haben und daher vom HBCI-Kernel nicht dauernd gefragt werden muessen, ob wir eine Internetverbindung haben wollen.
`static boolean`
`getSaldoInChecksum()`
Prueft, ob der Saldo in die Berechnung der Umsatz-Checksumme einfliessen soll.
`static boolean`
`getStorePin()`
Prueft, ob die PIN-Eingaben permanent gespeichert werden sollen.
`static boolean`
`getStoreUnreadFlag()`
Liefert true, wenn die Ungelesen-Markierungen in der Datenbank gespeichert werden soll.
`static double`
`getUeberweisungLimit()`
Liefert das Limit bei Ueberweisungen.
`static de.willuhn.jameica.security.Wallet`
`getWallet()`
Liefert das von Hibiscus verwendete Wallet.
`static String`
`getWorkPath()`
Liefert den Pfad zum Work-Verzeichnis.
`static boolean`
`isFirstStart()`
Prueft, ob es der erste Hibiscus-Start ist bzw noch keine Konten existieren.
`static void`
`setBicAutocomplete(boolean complete)`
Legt fest, ob die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.
`static void`
`setBoldValues(boolean bold)`
Legt fest, ob Geldbetraege fett gedruckt angezeigt werden sollen.
`static void`
`setBuchungHabenForeground(org.eclipse.swt.graphics.RGB rgb)`
Speichert die Farben fuer den Vordergrund von Haben-Buchungen.
`static void`
`setBuchungSollForeground(org.eclipse.swt.graphics.RGB rgb)`
Speichert die Farben fuer den Vordergrund von Soll-Buchungen.
`static void`
`setCachePin(boolean cachePin)`
Legt fest, ob die PIN pro Session gecached werden soll.
`static void`
`setColorValues(boolean color)`
Legt fest, ob nur Geldbetraege farbig angezeigt werden sollen.
`static void`
`setDecimalGrouping(boolean grouping)`
Legt fest, ob Tausender-Punkte bei Betraegen verwendet werden sollen.
`static void`
`setKontoCheck(boolean check)`
Legt fest, ob die Kontonummern via Pruefsumme gecheckt werden sollen.
`static void`
`setKontoCheckExcludeAddressbook(boolean check)`
Legt fest, ob Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.
`static void`
`setMarkReadOnExit(boolean b)`
Legt fest, ob die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.
`static void`
`setOnlineMode(boolean online)`
Speichert, ob wir eine permanente Online-Verbindung haben und daher vom HBCI-Kernel nicht dauernd gefragt werden muessen, ob wir eine Internetverbindung haben wollen.
`static void`
`setStorePin(boolean storePin)`
Legt fest, ob die PIN permanent gespeichert werden soll.
`static void`
`setStoreUnreadFlag(boolean store)`
Legt fest, ob die Ungelesen-Markierungen in der Datenbank gespeichert werden sollen.
`static void`
`setUeberweisungLimit(double limit)`
Definiert ein Limit bei Ueberweisungen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Settings

public Settings()

## Method Details

### getDBService

public static HBCIDBService getDBService() throws RemoteException
Liefert den Datenbank-Service.

Returns:
  Datenbank.
Throws:
  `RemoteException`

### getBuchungSollForeground

public static org.eclipse.swt.graphics.Color getBuchungSollForeground()
Liefert die Vordergrundfarbe fuer Soll-Buchungen in Tabellen.

Returns:
  Farbe.

### getBuchungHabenForeground

public static org.eclipse.swt.graphics.Color getBuchungHabenForeground()
Liefert die Vordergrundfarbe fuer Haben-Buchungen in Tabellen.

Returns:
  Farbe.

### setBuchungSollForeground

public static void setBuchungSollForeground(org.eclipse.swt.graphics.RGB rgb)
Speichert die Farben fuer den Vordergrund von Soll-Buchungen.

Parameters:
  `rgb` -

### setBuchungHabenForeground

public static void setBuchungHabenForeground(org.eclipse.swt.graphics.RGB rgb)
Speichert die Farben fuer den Vordergrund von Haben-Buchungen.

Parameters:
  `rgb` -

### getLibPath

public static String getLibPath()
Liefert den Verzeichnis-Pfad zu den nativen Libs.

Returns:
  Pfad der Libs.

### getWorkPath

public static String getWorkPath()
Liefert den Pfad zum Work-Verzeichnis.

Returns:
  Pfad des Work-Verzeichnis.

### setCachePin

public static void setCachePin(boolean cachePin)
Legt fest, ob die PIN pro Session gecached werden soll.

Parameters:
  `cachePin` - true, wenn die Pin gecached werden soll.

### getCachePin

public static boolean getCachePin()
Prueft, ob die PIN-Eingaben pro Session zwischengespeichert werden sollen.

Returns:
  true, wenn die Pin gecached werden soll.

### setStorePin

public static void setStorePin(boolean storePin)
Legt fest, ob die PIN permanent gespeichert werden soll. Laesst sich nur aktivieren, wenn auch das Cachen der PINs aktiviert ist.

Parameters:
  `storePin` - true, wenn die Pin gespeichert werden soll.

### getStorePin

public static boolean getStorePin()
Prueft, ob die PIN-Eingaben permanent gespeichert werden sollen. Liefert nur true, wenn auch das Cachen der PINs aktiviert ist und wenn das Master-Passwort manuell eingegeben wurde. Wurde das Master-Passwort via Parameter "-p" uebergeben, ist das Speichern der PIN nicht zulaessig.

Returns:
  true, wenn die Pin gecached werden soll.

### getDecimalGrouping

public static boolean getDecimalGrouping()
Prueft, ob Tausender-Punkte bei Betraegen verwendet werden sollen.

Returns:
  true, wenn Tausender-Punkte verwendet werden sollen.

### setDecimalGrouping

public static void setDecimalGrouping(boolean grouping)
Legt fest, ob Tausender-Punkte bei Betraegen verwendet werden sollen.

Parameters:
  `grouping` - true, wenn Tausender-Punkte verwendet werden sollen.

### getBoldValues

public static boolean getBoldValues()
Prueft, ob Geldbetraege fett gedruckt angezeigt werden sollen.

Returns:
  true, wenn Geldbetraege fett gedruckt angezeigt werden sollen.

### setBoldValues

public static void setBoldValues(boolean bold)
Legt fest, ob Geldbetraege fett gedruckt angezeigt werden sollen.

Parameters:
  `bold` - true, wenn Geldbetraege fett gedruckt angezeigt werden sollen.

### getColorValues

public static boolean getColorValues()
Prueft, ob nur Geldbetraege farbig angezeigt werden sollen.

Returns:
  true, wenn nur Geldbetraege farbig gedruckt angezeigt werden sollen.

### setColorValues

public static void setColorValues(boolean color)
Legt fest, ob nur Geldbetraege farbig angezeigt werden sollen.

Parameters:
  `color` - true, wenn nur Geldbetraege farbig angezeigt werden sollen.

### setOnlineMode

public static void setOnlineMode(boolean online)
Speichert, ob wir eine permanente Online-Verbindung haben und daher vom HBCI-Kernel nicht dauernd gefragt werden muessen, ob wir eine Internetverbindung haben wollen.

Parameters:
  `online` - true, wenn wir dauernd online sind.

### getKontoCheck

public static boolean getKontoCheck()
Liefert true, wenn die Kontonummern via Pruefsumme gecheckt werden sollen.

Returns:
  true, wenn die Pruefziffern-Kontrolle aktiviert ist.

### setKontoCheck

public static void setKontoCheck(boolean check)
Legt fest, ob die Kontonummern via Pruefsumme gecheckt werden sollen.

Parameters:
  `check` - true, wenn gecheckt werden soll.

### getKontoCheckExcludeAddressbook

public static boolean getKontoCheckExcludeAddressbook()
Liefert true, wenn Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.

Returns:
  true, wenn Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.

### setKontoCheckExcludeAddressbook

public static void setKontoCheckExcludeAddressbook(boolean check)
Legt fest, ob Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.

Parameters:
  `check` - true, wenn Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden sollen.

### getBicAutocomplete

public static boolean getBicAutocomplete()
Liefert true, wenn die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.

Returns:
  true, wenn die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.

### setBicAutocomplete

public static void setBicAutocomplete(boolean complete)
Legt fest, ob die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.

Parameters:
  `complete` - true, wenn die BIC nach Eingabe der IBAN automatisch vervollständigt werden soll.

### getStoreUnreadFlag

public static boolean getStoreUnreadFlag()
Liefert true, wenn die Ungelesen-Markierungen in der Datenbank gespeichert werden soll.

Returns:
  true, wenn die Ungelesen-Markierungen in der Datenbank gespeichert werden soll.

### setStoreUnreadFlag

public static void setStoreUnreadFlag(boolean store)
Legt fest, ob die Ungelesen-Markierungen in der Datenbank gespeichert werden sollen.

Parameters:
  `store` - true, wenn die Ungelesen-Markierungen in der Datenbank gespeichert werden sollen.

### getMarkReadOnExit

public static boolean getMarkReadOnExit()
Liefert true, wenn die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.

Returns:
  true, wenn die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.

### setMarkReadOnExit

public static void setMarkReadOnExit(boolean b)
Legt fest, ob die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.

Parameters:
  `b` - true, wenn die Ungelesen-Markierungen beim Beenden zurückgesetzt werden soll.

### getOnlineMode

public static boolean getOnlineMode()
Prueft, ob wir eine permanente Online-Verbindung haben und daher vom HBCI-Kernel nicht dauernd gefragt werden muessen, ob wir eine Internetverbindung haben wollen.

Returns:
  true, wenn wir dauernd online sind.

### getUeberweisungLimit

public static double getUeberweisungLimit()
Liefert das Limit bei Ueberweisungen. Soll den Benutzer davor schuetzen, versehentlich zu grosse Betraege bei einer Ueberweisung einzugeben.

Returns:
  Ueberweisungslimit.

### setUeberweisungLimit

public static void setUeberweisungLimit(double limit)
Definiert ein Limit bei Ueberweisungen. Soll den Benutzer davor schuetzen, versehentlich zu grosse Betraege bei einer Ueberweisung einzugeben.

Parameters:
  `limit` - das Limit fuer Ueberweisungen.

### getSaldoInChecksum

public static boolean getSaldoInChecksum()
Prueft, ob der Saldo in die Berechnung der Umsatz-Checksumme einfliessen soll.

Returns:
  true, wenn er einfliessen soll (false ist der Default-Wert). BUGZILLA 622

### getWallet

public static de.willuhn.jameica.security.Wallet getWallet() throws Exception
Liefert das von Hibiscus verwendete Wallet.

Returns:
  das Wallet.
Throws:
  `Exception`

### isFirstStart

public static boolean isFirstStart()
Prueft, ob es der erste Hibiscus-Start ist bzw noch keine Konten existieren.

Returns:
  true, wenn noch keine Konten existieren.